<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/common_module_interval_medium"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/relayout_battery"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/dashboard_model_background_left_top"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/relayout_network"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_battery"
            style="@style/TextModuleTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/battery"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/title_battery"
            android:layout_alignBottom="@id/title_battery"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />

        <ImageView
            android:id="@+id/icon_battery"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_below="@id/title_battery"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/battery_content"
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/icon_battery"
            android:layout_marginStart="@dimen/dashboard_icon_content_interval"
            android:layout_toEndOf="@id/icon_battery"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relayout_network"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_module_interval_small"
        android:background="@drawable/dashboard_model_background_right_top"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/relayout_battery"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/relayout_battery">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_network"
            style="@style/TextModuleTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/network"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/title_network"
            android:layout_alignBottom="@id/title_network"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />

        <ImageView
            android:id="@+id/icon_network"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_below="@id/title_network"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/network_content"
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/icon_network"
            android:layout_marginStart="@dimen/dashboard_icon_content_interval"
            android:layout_toEndOf="@id/icon_network"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />


    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/relayout_apps"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_module_interval_small"
        android:background="@drawable/dashboard_model_background_small"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/relayout_display"
        app:layout_constraintTop_toBottomOf="@id/relayout_battery">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_apps"
            style="@style/TextModuleTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/title_apps"
            android:layout_alignBottom="@id/title_apps"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />

        <ImageView
            android:id="@+id/icon_apps"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_below="@id/title_apps"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/apps_content"
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/icon_apps"
            android:layout_marginStart="@dimen/dashboard_icon_content_interval"
            android:layout_toEndOf="@id/icon_apps"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relayout_display"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_module_interval_small"
        android:background="@drawable/dashboard_model_background_small"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/relayout_apps"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/relayout_apps">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_display"
            style="@style/TextModuleTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/display"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/title_display"
            android:layout_alignBottom="@id/title_display"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />

        <ImageView
            android:id="@+id/icon_display"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_below="@id/title_display"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/display_content"
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/icon_display"
            android:layout_marginStart="@dimen/dashboard_icon_content_interval"
            android:layout_toEndOf="@id/icon_display"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />


    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/relayout_ram"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_module_interval_small"
        android:background="@drawable/dashboard_model_background_left_bottom"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/relayout_storage"
        app:layout_constraintTop_toBottomOf="@id/relayout_apps">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_ram"
            style="@style/TextModuleTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/ram"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/title_ram"
            android:layout_alignBottom="@id/title_ram"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />

        <ImageView
            android:id="@+id/icon_ram"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_below="@id/title_ram"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/ram_content"
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/icon_ram"
            android:layout_marginStart="@dimen/dashboard_icon_content_interval"
            android:layout_toEndOf="@id/icon_ram"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relayout_storage"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_module_interval_small"
        android:background="@drawable/dashboard_model_background_right_bottom"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/relayout_ram"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/relayout_ram">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_storage"
            style="@style/TextModuleTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/storage"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/title_storage"
            android:layout_alignBottom="@id/title_storage"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />

        <ImageView
            android:id="@+id/icon_storage"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_below="@id/title_storage"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/storage_content"
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/icon_storage"
            android:layout_marginStart="@dimen/dashboard_icon_content_interval"
            android:layout_toEndOf="@id/icon_storage"
            android:text="@string/apps"
            tools:ignore="RelativeOverlap" />
    </RelativeLayout>


</androidx.constraintlayout.widget.ConstraintLayout>